Skip to main content
GET
/
v2
/
telematics
/
hos-events
List HOS Events
curl --request GET \
  --url https://api.catenatelematics.com/v2/telematics/hos-events \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "fleet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "source_name": "ada",
      "source_id": "<string>",
      "source_data_hash": "<string>",
      "fleet_ref": "<string>",
      "deleted_at": "2023-11-07T05:31:56Z",
      "tsp_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "tsp_slug": "<string>",
      "source_data": {},
      "occurred_at": "2023-11-07T05:31:56Z",
      "execution_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "schedule_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "extras": {},
      "driver_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "vehicle_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "co_driver_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "additional_driver_ids": {},
      "started_at": "2023-11-07T05:31:56Z",
      "ended_at": "2023-11-07T05:31:56Z",
      "driver_last_edit_at": "2023-11-07T05:31:56Z",
      "driver_certified_at": "2023-11-07T05:31:56Z",
      "hos_ruleset_code": "US_INT_PROP_60_7",
      "time_zone_code": "UTC",
      "annotations": {
        "remarks": "<string>",
        "created_at": "2023-11-07T05:31:56Z"
      },
      "duty_status_code": "OFF",
      "event_type_code": "1",
      "event_code": "OFF",
      "log_state_code": "ACTIVE",
      "log_origin_code": "AUTO",
      "deferral_status": "<string>",
      "deferral_minutes": 123,
      "eld_malfunction_code": "POWER",
      "is_excluded": true,
      "is_transitioning": false,
      "record_status": "active",
      "region_code": "US-AL",
      "location_name": "<string>",
      "location": {
        "type": "<string>",
        "coordinates": {
          "[0]": 123,
          "[1]": 123
        },
        "bbox": {
          "[0]": 123,
          "[1]": 123,
          "[2]": 123,
          "[3]": 123
        }
      },
      "inferred_address": {
        "city": "<string>",
        "province": "<string>",
        "country_code": "<string>"
      },
      "h3_index_11": 123,
      "odometer": 123,
      "engine_hours": 123,
      "sequence": "<string>",
      "version": "<string>"
    }
  ],
  "total": 1,
  "current_page": "<string>",
  "current_page_backwards": "<string>",
  "previous_page": "<string>",
  "next_page": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.catenatelematics.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

fleet_ids
string<uuid>[] | null

Limit results to specific fleets using Catena's fleet IDs. For your own fleet identifiers, use fleet_refs instead To specify multiple values, repeat the parameter for each value (e.g., ?fleet_ids=id1&fleet_ids=id2).

Maximum array length: 100
fleet_refs
string[] | null

Limit results to specific fleets using your organization's fleet reference identifiers. To specify multiple values, repeat the parameter for each value (e.g., ?fleet_refs=ref1&fleet_refs=ref2).

Maximum array length: 100
connection_id
string<uuid> | null

Limit results to a specific provider connection. This is the UUID assigned by Catena when your fleet connects to a TSP.

from_datetime
string<date-time>

Return only records that occurred on or after this date and time. Format: ISO 8601 (UTC) Applies filter: occurred_at >= from_datetime Default value: now() - 1 day Restriction: to_datetime - from_datetime cannot exceed 45 days

Example:

"2026-04-28T17:07:41.639883Z"

to_datetime
string<date-time>

Return only records that occurred before this date and time. Format: ISO 8601 (UTC) Applies filter: occurred_at < to_datetime Default value: now() Restriction: to_datetime - from_datetime cannot exceed 45 days

Example:

"2026-04-29T17:07:41.640014Z"

active_from_datetime
string<date-time> | null

Return only records that were still active at or after this date and time. Format: ISO 8601 (UTC) Applies filter: ended_at >= active_from_datetime

Example:

"2026-04-28T17:07:41.640105Z"

active_to_datetime
string<date-time> | null

Return only records that started before this date and time. Format: ISO 8601 (UTC) Applies filter: started_at < active_to_datetime

Example:

"2026-04-29T17:07:41.640170Z"

include_source_data
boolean
default:false

Include the raw data from the telematics provider. Useful for auditing or accessing fields not normalized by Catena

driver_ids
string<uuid>[] | null

Limit results to specific drivers. Maximum: 100 IDs To specify multiple values, repeat the parameter for each value (e.g., ?driver_ids=id1&driver_ids=id2).

Maximum array length: 100
vehicle_ids
string<uuid>[] | null

Limit results to specific vehicles. Maximum: 100 IDs To specify multiple values, repeat the parameter for each value (e.g., ?vehicle_ids=id1&vehicle_ids=id2).

Maximum array length: 100
event_type_codes
enum<string>[] | null

Limit results to specific HOS event type codes. Maximum: 5 codes To specify multiple values, repeat the parameter for each value (e.g., ?event_type_codes=code1&event_type_codes=code2).

Maximum array length: 5

Enum for HOS event type codes

Available options:
1,
2,
3,
4,
5,
6
cursor
string | null

Cursor for the next page

size
integer
default:300

Page size

Required range: 1 <= x <= 500

Response

Successful Response

items
HosEventRead · object[]
required
total
integer
required
Required range: x >= 0
current_page
string | null

Cursor to refetch the current page

current_page_backwards
string | null

Cursor to refetch the current page starting from the last item

previous_page
string | null

Cursor for the previous page

next_page
string | null

Cursor for the next page